"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helpers_1 = require("./helpers");
exports.generateImageElement = (page, option) => (props) => {
    const src = props.src ? helpers_1.rewriteUrl(props.src, page, option) : "";
    const rewriteProps = { ...props, src };
    return React.createElement("img", Object.assign({}, rewriteProps));
};
